include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/player-parts/kaffeine-part
  ${CMAKE_SOURCE_DIR}/kaffeine/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeinepart (shared)

tde_add_library( dummypart SHARED AUTOMOC

  SOURCES
     dummy_part.cpp
  LINK
     tdeui-shared
     tdecore-shared
     tdeio-shared
     tdeparts-shared
     kaffeinepart-shared

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE dummy_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kaffeine-desktops
)

install(
    FILES dummy_part.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

